> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add tags

> Add one or more tags to a specific asset.



## OpenAPI

````yaml post /workspaces/assets/{asset_id}/tags
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/assets/{asset_id}/tags:
    post:
      tags:
        - Asset Tag
      description: Add one or more tags to a specific asset.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
        - in: path
          name: asset_id
          required: true
          schema:
            type: string
          description: The ID of the asset
        - in: query
          name: tag_ids
          required: true
          schema:
            type: array
            items:
              type: string
          description: An array of tag IDs to add to the asset
      responses:
        '201':
          description: Tags added successfully
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````